/*
** pat_pat.h for  in 
** 
** Made by 
** Login   <vianney@epita.fr>
** 
** Started on  Wed Sep  1 06:48:14 1999 
** Last update Thu Oct 28 20:21:10 1999 
*/
#ifndef PAT_PAT_H
#define PAT_PAT_H	1

#include "pat.h"

extern t_dict		*pat_dict;

extern t_pat		pat_pat;

/* PROTO pat_pat.c */
/* pat_pat.c */
t_status pat_add P((t_pat *pat));
t_status pat_dict_init P((void));
void pat_dict_destroy P((void));
t_status pat_to_str P((t_pat *pat, char *str, int max_len));
t_pat *pat_from_str P((char *str, t_status *status));
t_status pat_get_choices_walk P((t_hash_elt *he, t_vec *vec_str));
t_status pat_get_choices P((t_vec *vec_str));
t_status pat_displayable_get_choices_walk P((t_hash_elt *he, t_vec *vec_str));
t_status pat_displayable_get_choices P((t_vec *vec_str));
t_status pat_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status pat_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status pat_pat_insert P((void *data, char *buf, int len, char *value));
t_status pat_pat_get_choices P((void *data, char *buf, int len, t_vec *vec_str, t_boolean *do_sort_return));
#endif
